Dža ko lil

Elevenlabs - Forced Alignment

Integriruj

Modelosko id elevenlabs/forced-alignment
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/forced-alignment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Fajlo sar o misalo: $0.22 220 API krediti tire fajlo si merime angl-o phiripen Phir les kate

Lel API klidin
ElevenLabs Lav ko Teksto #forced-alignment#speech-to-text

Uskladil źanglo transkripto le audio-rikaripnasa thaj del vaktesko podatko vaś alava thaj akhara

ElevenLabs · Dada (JSON)

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul 88 / 675000

Transkriptos savo tekstos trubul te avel alignime e audiosa.

•trubul audio_url
Čhiv jekh fajl, vaj

Del alignment audio ande fajlosko URL, limitime pe 10 ora duratasa thaj 3 GB baripnasa.

POST /run/elevenlabs/forced-alignment?wait=20 hesab → $0.22
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/forced-alignment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal Elevenlabs - Forced Alignment

Sambarel jekh transkripto savo tut si, le lesko rikaripnasa. De `audio_url` thaj `text`, kaj o tekstosko baripen šaj te avel dži 675,000 akhara. O audio-fajlo šaj te avel dži 3 GB thaj 10 časa. O outputo sikavel akharosko thaj alavosko uskladipen thaj averaǰesko uskladipnasko xasaripe.

Parametra

Bičhalav vaj e kanonikano nav vaj e native nav, na duj. Kanonikane nava

NavTip standardnoMuklo Vakeripe
audio_urltrubul audio
Tipurl · audio
Del alignment audio ande fajlosko URL, limitime pe 10 ora duratasa thaj 3 GB baripnasa.
texttrubul
Tipstring
≤ 675,000 simbolura
Transkriptos savo tekstos trubul te avel alignime e audiosa.
trubul Kanonikano nav, vi akceptime

Fajloske parametra lel jekh publikano https:// URL, jekh data: URI dži 10 MB, vaj e file_url uploadoski. Fajlura

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/forced-alignment",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 220,
    "usd": "0.22",
    "charged": 220,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "characters": [
      {
        "text": "string",
        "start": 1.0,
        "end": 1.0
      }
    ],
    "words": [
      {
        "text": "string",
        "start": 1.0,
        "end": 1.0,
        "loss": 1.0
      }
    ],
    "loss": 1.0
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
characters
array of object {text, start, end}Alignmentoski informacija vaš jekh-jekh karaktero.
words
array of object {text, start, end, loss}Alignmentoski informacija vaš jekh-jekh lav.
loss
numberSredno alignmentosko loss maškar sa transkription.

Bute modeli: Lav ko Teksto

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/elevenlabs/forced-alignment.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt